Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		talloc
#Epoch:		0
Version:	2.0.1
Release:	1
License:	GNU/GPLv3
URL:		http://talloc.samba.org/talloc/
Group:		System/Libraries
Summary:	talloc is a hierarchical, reference counted memory pool system with destructors
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires:	libxslt-devel
BuildRequires:  libxml2-devel
BuildRequires:	which
BuildRequires:  swig
BuildRequires:  libacl-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: pkg-config

%description
talloc is a hierarchical, reference counted memory pool system with destructors. It is the core memory allocator used in Samba.

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/libtalloc.so.2.0.1

%files devel
%defattr(-,root,root)
%{_includedir}/talloc.h
%{_libdir}/libtalloc.a
%{_pkgconfig}/talloc.pc
%{_mandir}/man3/talloc.3.gz
%{_datadir}/swig/1.3.40/talloc.i

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Tue Oct 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.0.1-1
- initial CCux package release
